--- fmtutil.cnf.orig	Fri Oct 12 00:02:00 2001
+++ fmtutil.cnf	Thu Oct 25 19:48:55 2001
@@ -38,6 +38,7 @@
 pdfelatex	pdfetex		language.dat	*pdfelatex.ini
 omega		omega		language.dat	omega.ini
 lambda		omega		language.dat	lambda.ini
+hugelatex	tex		language.dat	latex.ini
 
 # The amstex format:
 # amstex	tex		-		amstex.ini
@@ -61,9 +62,27 @@
 # cyramstex	tex		language.dat	cyramstx.ini
 
 # - Polish:
-# platex	tex		-		platex.ini
+# platex		tex		-		platex.ini
 # mex		tex		mexconf.tex	mex.ini
-# pdfmex	pdftex		mexconf.tex	pdfmex.ini
+# pdfmex		pdftex		mexconf.tex	pdfmex.ini
+# pdfemex		pdfetex		mexconf.tex	*pdfemex.ini
+
+# - Polish with translated messages (experimental):
+# platex-pl	tex		-		nls=tex-pl,il2-pl platex.ini
+# mex-pl		tex		mexconf.tex	nls=tex-pl,il2-pl mex.ini
+# pdfmex-pl	pdftex		mexconf.tex	nls=pdftex-pl,il2-pl pdfmex.ini
+# pdfemex-pl		pdfetex		mexconf.tex	nls=pdfetex-pl,il2-pl *pdfemex.ini
+
+# - Czech / Slovak:
+# csplain	tex		-		csplain.ini
+# cslatex	tex		language.dat	cslatex.ini
+# pdfcsplain	pdftex		-		csplain.ini
+# pdfcslatex	pdftex		language.dat    cslatex.ini
 
 # Other formats:
 # eplain	tex		language.dat	eplain.ini
+
+# Formats that depend on previously created formats
+jadetex		tex		language.dat	&hugelatex jadetex.ini
+pdfjadetex	pdftex		language.dat	&pdflatex pdfjadetex.ini
+pdfxmltex	pdftex		language.dat	&pdflatex pdfxmltex.ini
\ No newline at end of file
--- mktex.cnf.orig	Fri Oct 12 00:02:14 2001
+++ mktex.cnf	Sat Mar 17 21:02:24 2001
@@ -1,5 +0,0 @@
-: ${MT_FEATURES=appendonlydir}
-: ${MODE=ljfour}
-: ${BDPI=600}
-# uncomment the following line to use ps2pk instead of gsftopk:
-# : ${ps_to_pk=ps2pk}
--- texmf.cnf.orig	Fri Oct 12 00:02:31 2001
+++ texmf.cnf	Thu Nov 15 04:07:00 2001
@@ -1,4 +1,4 @@
-% original texmf.cnf -- runtime path configuration file for kpathsea.
+% texmf.cnf -- runtime path configuration file for kpathsea.
 % (If you change or delete `original' on the previous line, the
 % distribution won't install its version over yours.)
 % Public domain.
@@ -55,14 +55,14 @@
 % below of TEXMFCNF.
 
 % The main tree, which must be mentioned in $TEXMF, below:
-TEXMFMAIN = $SELFAUTOPARENT/share/texmf
+TEXMFMAIN = /usr/share/texmf
 
 % A place for local additions to a "standard" texmf tree.  For example:
-%   TEXMFLOCAL = $SELFAUTOPARENT/share/texmf.local
+TEXMFLOCAL = /usr/share/texmf.local
 
 % If defined, teTeX's texconfig stores modifications here (instead of the
 % TEXMFMAIN tree).
-%   VARTEXMF = $SELFAUTOPARENT/share/texmf-var
+VARTEXMF = /usr/share/texmf-var
 
 % User texmf trees can be catered for like this...
 %   HOMETEXMF = $HOME/texmf
@@ -73,7 +73,7 @@
 % The braces are necessary.  If you set VARTEXMF, you also have to
 %   - list $VARTEXMF in the TEXMF definition;
 %   - make sure that $VARTEXMF precedes $TEXMFMAIN in the TEXMF definition.
-TEXMF = !!$TEXMFMAIN
+TEXMF = {!!$TEXMFLOCAL,!!$VARTEXMF,!!$TEXMFMAIN}
 
 % The system trees.  These are the trees that are shared by all the users.
 SYSTEXMF = $TEXMF
@@ -166,6 +166,7 @@
 TEXINPUTS.pdfmex   = .;$TEXMF/{pdftex,tex}/{mex,plain,generic,}//
 TEXINPUTS.pdftex   = .;$TEXMF/{pdftex,tex}/{plain,generic,}//
 TEXINPUTS.pdftexinfo = .;$TEXMF/{pdftex,tex}/{texinfo,plain,generic,}//
+TEXINPUTS.pdfxmltex = .;$TEXMF/{pdftex,tex}/{xmltex,passivetex,plain,generic,}//
 
 % pdfeTeX.
 TEXINPUTS.pdfelatex = .;$TEXMF/{pdfetex,pdftex,etex,tex}/{latex,generic,}//
@@ -259,8 +260,8 @@
 % For xdvi to find mime.types and .mailcap, if they do not exist in
 % $HOME.  These are single directories, not paths.
 % (But the default mime.types, at least, may well suffice.)
-MIMELIBDIR = $SELFAUTOPARENT/etc
-MAILCAPLIBDIR = $SELFAUTOPARENT/etc
+MIMELIBDIR = /usr/etc
+MAILCAPLIBDIR = /usr/etc
 
 % TeX documentation and source files, for use with kpsewhich.
 TEXDOCS = .;$TEXMF/doc//
@@ -295,8 +296,7 @@
 %
 % For security reasons, it is better not to have . part of the path.
 % 
-TEXMFCNF = {$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}{,{/share,}/texmf{.local,}/web2c}:$TETEXDIR:/usr/local/teTeX/share/texmf/web2c:/usr/local/teTeX/share/texmf/web2c
-
+TEXMFCNF = $SELFAUTODIR{/local,}/share{,/texmf{,/web2c}}:$TETEXDIR:/usr/share/texmf/web2c:/usr/share/texmf/web2c
 
 
 %  Part 2: Non-path options.
@@ -310,8 +310,9 @@
 MISSFONT_LOG = missfont.log
 
 % Set to a colon-separated list of words specifying warnings to suppress.
-% To suppress everything, use TEX_HUSH = all; this is equivalent to
+% To suppress everything, use TEX_HUSH = all; this is currently equivalent to
 % TEX_HUSH = checksum:lostchar:readable:special
+% To suppress nothing, use TEX_HUSH = none or do not set the variable at all.
 TEX_HUSH = none
 
 % Enable system commands via \write18{...}?
@@ -330,6 +331,12 @@
 % the %&format construct.
 parse_first_line = t
 
+% Allow TeX, eTeX, Omega to include `src:' specials in the dvi file.
+% These specials are used by viewers to jump from the viewer into 
+% the editor at the right page/lineno.
+% Possible values : none auto cr display hbox math par parend vbox
+src_specials = none
+
 % Enable the mktex... scripts by default?  These must be set to 0 or 1.
 % Particular programs can and do override these settings, for example
 % dvips's -M option.  Your first chance to specify whether the scripts
@@ -373,11 +380,14 @@
 % For some xy-pic samples, you may need as much as 700000 words of memory.
 % For the vast majority of documents, 60000 or less will do.
 % 
-main_memory.context = 1100000
+main_memory.context = 1500000
+main_memory.mpost = 1000000
 main_memory = 263000 % words of inimemory available; also applies to inimf&mp
 extra_mem_top = 0    % extra high memory for chars, tokens, etc.
 extra_mem_bot = 0    % extra low memory for boxes, glue, breakpoints, etc.
 
+obj_tab_size.context = 256000
+
 % Words of font info for TeX (total size of all TFM files, approximately). 
 font_mem_size = 400000
 
@@ -453,3 +463,55 @@
 error_line = 79
 half_error_line = 50
 max_print_line = 79
+
+% hugelatex settings
+main_memory.hugelatex = 1100000
+param_size.hugelatex = 1500
+stack_size.hugelatex = 1500
+hash_extra.hugelatex = 15000
+string_vacancies.hugelatex = 670000
+pool_free.hugelatex = 47500
+nest_size.hugelatex = 500
+save_size.hugelatex = 32768
+pool_size.hugelatex = 700000
+max_strings.hugelatex = 100000
+font_mem_size.hugelatex = 400000
+
+% jadetex settings
+main_memory.jadetex = 1500000
+param_size.jadetex = 1500
+stack_size.jadetex = 1500
+hash_extra.jadetex = 50000
+string_vacancies.jadetex = 670000
+pool_free.jadetex = 47500
+nest_size.jadetex = 500
+save_size.jadetex = 32768
+pool_size.jadetex = 700000
+max_strings.jadetex = 100000
+font_mem_size.jadetex = 400000
+
+% pdfjadetex settings
+main_memory.pdfjadetex = 1500000
+param_size.pdfjadetex = 1500
+stack_size.pdfjadetex = 1500
+hash_extra.pdfjadetex = 50000
+string_vacancies.pdfjadetex = 670000
+pool_free.pdfjadetex = 47500
+nest_size.pdfjadetex = 500
+save_size.pdfjadetex = 32768
+pool_size.pdfjadetex = 700000
+max_strings.pdfjadetex = 100000
+font_mem_size.pdfjadetex = 400000
+
+% pdfxmltex settings
+main_memory.pdfxmltex = 2500000
+param_size.pdfxmltex = 1500
+stack_size.pdfxmltex = 1500
+hash_extra.pdfxmltex = 50000
+string_vacancies.pdfxmltex = 45000
+pool_free.pdfxmltex = 47500
+nest_size.pdfxmltex = 500
+save_size.pdfxmltex = 10000
+pool_size.pdfxmltex = 500000
+max_strings.pdfxmltex = 55000
+
